Skip to Content
Glow APIAPI ReferenceSocket V5 Client

Socket V5 Client

23 endpoints

POST /socket/v5/client/connect

Connect Api

Client-to-server lifecycle event: Establish WebSocket connection.

Response:

`object`

POST /socket/v5/client/disconnect

Disconnect Api

Client-to-server lifecycle event: Close WebSocket connection.

Response:

`object`

POST /socket/v5/client/generate

Generate Api

Client-to-server: start unified draft generation.

Request body:

{ artifact_types: `ArtifactTypeItem`[] artifact_id?: `any` | `null` draft_id?: `any` | `null` resource_types: `ResourceTypeItem`[] entry_types?: `EntryTypeItem`[] | `null` user_instructions?: `string`[] | `null` save?: `boolean` run_id?: `string` | `null` group_id?: `string` | `null` modality?: `string` extra_messages?: `object`[] | `null` metadata?: `object` | `null` }

Response:

`object`

POST /socket/v5/client/attempt/start

Attempt Start Api

Client-to-server: create a new attempt.

Request body:

{ home_id?: `string` | `null` practice_id?: `string` | `null` infinite_mode?: `boolean` }

Response:

`object`

POST /socket/v5/client/attempt/next

Attempt Next Api

Client-to-server: proceed to the next scenario.

Request body:

{ attempt_id: `string` draft_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/client/attempt/join

Attempt Join Api

Client-to-server: join a chat room.

Request body:

{ chat_id: `string` }

Response:

`object`

POST /socket/v5/client/attempt/leave

Attempt Leave Api

Client-to-server: leave a chat room.

Request body:

{ chat_id: `string` }

Response:

`object`

POST /socket/v5/client/attempt/end

Attempt End Api

Client-to-server: end a single chat within an attempt.

Request body:

{ attempt_id: `string` chat_id: `string` grade?: `boolean` }

Response:

`object`

POST /socket/v5/client/attempt/end_all

Attempt End All Api

Client-to-server: end all remaining chats in an attempt.

Request body:

{ attempt_id: `string` }

Response:

`object`

POST /socket/v5/client/attempt/stop

Attempt Stop Api

Client-to-server: stop message generation.

Request body:

{ chat_id: `string` }

Response:

`object`

POST /socket/v5/client/attempt/message

Attempt Message Api

Client-to-server: send a message in an attempt chat.

Request body:

{ attempt_id: `string` chat_id: `string` message: `string` parent_message_id?: `string` | `null` }

Response:

`object`

POST /socket/v5/client/attempt/grade

Attempt Grade Api

Client-to-server: trigger grading for an attempt chat.

Request body:

{ attempt_id: `string` chat_id?: `string` | `null` resource_types?: `string`[] | `null` user_instructions?: `string`[] | `null` }

Response:

`object`

POST /socket/v5/client/attempt/response_submit

Attempt Response Submit Api

Client-to-server: submit a video question response.

Request body:

{ chat_id: `string` question_id: `string` option_ids: `string`[] }

Response:

`object`

POST /socket/v5/client/attempt/use_previous

Attempt Use Previous Api

Client-to-server: copy grades from a previous attempt’s chats.

Request body:

{ attempt_id: `string` previous_chat_map: `object` }

Response:

`object`

POST /socket/v5/client/attempt/audio_start

Attempt Audio Start Api

Client-to-server: start a voice session.

Request body:

{ chat_id: `string` }

Response:

`object`

POST /socket/v5/client/attempt/audio_stop

Attempt Audio Stop Api

Client-to-server: stop a voice session.

Request body:

{ chat_id: `string` }

Response:

`object`

POST /socket/v5/client/test/start

Test Start Api

Client-to-server: create a new test.

Request body:

{ benchmark_id: `string` infinite_mode?: `boolean` }

Response:

`object`

POST /socket/v5/client/test/next

Test Next Api

Client-to-server: find next pending run in an existing test.

Request body:

{ test_id: `string` }

Response:

`object`

POST /socket/v5/client/test/run

Test Run Api

Client-to-server: run one auto-regressive replay.

Request body:

{ test_id: `string` test_invocation_id: `string` run_id: `string` }

Response:

`object`

POST /socket/v5/client/test/end

Test End Api

Client-to-server: end test (triggers grading).

Request body:

{ test_id: `string` test_invocation_id: `string` run_id: `string` grade?: `boolean` }

Response:

`object`

POST /socket/v5/client/test/join

Test Join Api

Client-to-server: join a test room.

Request body:

{ invocation_id: `string` }

Response:

`object`

POST /socket/v5/client/test/leave

Test Leave Api

Client-to-server: leave a test room.

Request body:

{ invocation_id: `string` }

Response:

`object`

POST /socket/v5/client/test/stop

Test Stop Api

Client-to-server: stop current test execution.

Request body:

{ invocation_id: `string` }

Response:

`object`

Last updated on